package com.magnatune.eyecreate.companionformagnatune.fragments;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.magnatune.eyecreate.companionformagnatune.R;
import com.magnatune.eyecreate.companionformagnatune.adapters.AlbumsAdapter;
import com.magnatune.eyecreate.companionformagnatune.model.Album;
import com.magnatune.eyecreate.companionformagnatune.model.Artist;
import com.magnatune.eyecreate.companionformagnatune.model.MagnatuneDBManager;

import co.moonmonkeylabs.realmrecyclerview.RealmRecyclerView;
import io.realm.Realm;

public class ArtistFragment extends Fragment {

    public static final String ARG_ARTIST_NAME = "artistname";

    Realm db;
    RealmRecyclerView recyclerView;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        db = MagnatuneDBManager.getAlbumDB();
        if(!getArguments().containsKey(ARG_ARTIST_NAME)) {
            //No artist argument means can't make fragment
            getActivity().onBackPressed();
        }
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        db.close();
    }

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View v = inflater.inflate(R.layout.fragment_artist,container,false);;
        recyclerView = (RealmRecyclerView) v.findViewById(R.id.artist_albums);
        Artist artist = db.where(Artist.class).equalTo("artistname",getArguments().getString(ARG_ARTIST_NAME)).findFirst();
        ((TextView) v.findViewById(R.id.artist_name)).setText(artist.getArtistname());
        ((TextView) v.findViewById(R.id.artist_description)).setText(artist.getArtistdesc());
        recyclerView.setAdapter(new AlbumsAdapter(getActivity(),db.where(Album.class).equalTo("artist.artistname",artist.getArtistname()).findAll(),true,true,null,getFragmentManager()));
        return v;
    }
}
